 VMEH22501  standard load 
             
**********************************************************************
**********************************************************************
   
    .options post=2           
    .options acct opts
    .options spice=1
    .options gmindc=1e-10
    .options gmin=1e-12
    .options itl1=400
    .options itl4=40
    .options itl5=0
    .options search './' 
    .options tnom=27
         
***********************************************************************
.tran 0.1ns 100ns 

******************** backplane *************************
*.include "backplane or subcircuit file name"
*** This line below represents the back plane model, so we commented it out*******
***.include /home/cam/hspice/backplanes/vme_cap
********************************************************

x_device_selector 0 vmeh22501inc

.include nominal.ctl
*.include strong.ctl
*.include weak.ctl

***************** package ******************************
.include tssop48.dat


***************** driver ********************

xvmechip_3 x_3a1 x_3a2 x_3a3 x_3a4 x_3a5 x_3a6 x_3a7 x_3a8 x_3b1 x_3b2
     + x_3b3 x_3b4 x_3b5 x_3b6 x_3b7 x_3b8 x_2a x_2b x_2y x_1a x_1b x_1y x_dir
     + x_1oeab x_1noeby x_2oeab x_2noeby x_noe x_le x_clkab x_clkba x_vccbias x_vcc x_gnd
     + vmeh22501_pkg

      
***************** connect package *********** 

     
 .subckt vmeh22501_pkg p_3a1 p_3a2 p_3a3 p_3a4 p_3a5 p_3a6 p_3a7 p_3a8 p_3b1 p_3b2
     + p_3b3 p_3b4 p_3b5 p_3b6 p_3b7 p_3b8 p_2a p_2b p_2y p_1a p_1b p_1y p_dir
     + p_1oeab p_1noeby p_2oeab p_2noeby p_noe p_le p_clkab p_clkba p_vccbias p_vcc p_gnd
     
     x_pin01  p_1noeby  s_1noeby tssop48_01
     x_pin02  p_1a      s_1a     tssop48_02
     x_pin03  p_1y      s_1y     tssop48_03
     x_pin04  p_gnd     cgnd     tssop48_04
     x_pin05  p_2a      s_2a     tssop48_05
     x_pin06  p_2y      s_2y     tssop48_06
     x_pin07  p_vcc     cvcc     tssop48_07
     x_pin08  p_2noeby  s_2noeby tssop48_08
     x_pin09  p_3a1     s_3a1    tssop48_09
     x_pin10  p_gnd     cgnd     tssop48_10
     x_pin11  p_le      le     tssop48_11
     x_pin12  p_3a2     s_3a2    tssop48_12
     x_pin13  p_3a3     s_3a3    tssop48_13
     x_pin14  p_noe     noe      tssop48_14
     x_pin15  p_gnd     cgnd     tssop48_15
     x_pin16  p_3a4     s_3a4    tssop48_16
     x_pin17  p_clkba   clkba    tssop48_17
     x_pin18  p_vcc     cvcc     tssop48_18
     x_pin19  p_3a5     s_3a5    tssop48_19
     x_pin20  p_3a6     s_3a6    tssop48_20
     x_pin21  p_gnd     cgnd     tssop48_21
     x_pin22  p_3a7     s_3a7    tssop48_22
     x_pin23  p_3a8     s_3a8    tssop48_23
     x_pin24  p_dir     dir      tssop48_24
     x_pin25  p_vcc     cvcc     tssop48_25
     x_pin26  p_3b8     s_3b8    tssop48_26
     x_pin27  p_3b7     s_3b7    tssop48_27
     x_pin28  p_gnd     cgnd     tssop48_28
     x_pin29  p_3b6     s_3b6    tssop48_29
     x_pin30  p_3b5     s_3b5    tssop48_30
     x_pin31  p_vcc     cvcc     tssop48_31
     x_pin32  p_clkab   clkab    tssop48_32
     x_pin33  p_3b4     s_3b4    tssop48_33
     x_pin34  p_gnd     cgnd     tssop48_34
     x_pin35  p_vcc     cvcc     tssop48_35
     x_pin36  p_3b3     s_3b3    tssop48_36
     x_pin37  p_3b2     s_3b2    tssop48_37
     x_pin38  p_vcc     cvcc     tssop48_38
     x_pin39  p_gnd     cgnd     tssop48_39
     x_pin40  p_3b1     s_3b1    tssop48_40
     x_pin41  p_2oeab   s_2oeab  tssop48_41
     x_pin42  p_vcc     cvcc     tssop48_42
     x_pin43  p_2b      s_2b     tssop48_43
     x_pin44  p_vccbias cvccbias tssop48_44
     x_pin45  p_gnd     cgnd     tssop48_45
     x_pin46  p_1b      s_1b     tssop48_46
     x_pin47  p_vcc     cvcc     tssop48_47
     x_pin48  p_1oeab   s_1oeab  tssop48_48
     
     xvmeh22501  s_3a1 s_3a2 s_3a3 s_3a4 s_3a5 s_3a6 s_3a7 s_3a8 s_3b1 s_3b2 s_3b3
           + s_3b4 s_3b5 s_3b6 s_3b7 s_3b8 s_2a s_2b s_2y s_1a s_1b s_1y dir 
           + s_1oeab s_1noeby
           + s_2oeab s_2noeby noe le clkab clkba cvccbias cvcc cgnd  vmeh22501_full
     .ends vmeh22501_pkg          

******************** inputs *****************
*** The forces below represents from A to B direction*****

vtt	   x_vtt       0   5
vccbias    x_vccbias   0   3.3
vcc        x_vcc       0   pvcc
vgnd       x_gnd       0   0
vle        x_le        0   3.3 
voe        x_noe       0   0
v1oeab     x_1oeab     0   3
v2oeab     x_2oeab     0   3
vdir       x_dir       0   3.0
vclkab     x_clkab     0   0
vclkba     x_clkba     0   0
v1noeby    x_1noeby    0   0
v2noeby    x_2noeby    0   0

v1a        x_1a        0   dc  0 pulse(0 3 1n 3n 3n 22n 50n)
v2a        x_2a        0   0 
v3a1       x_3a1       0   0 
v3a2       x_3a2       0   0 
v3a3       x_3a3       0   0 
v3a4       x_3a4       0   0 
v3a5       x_3a5       0   0 
v3a6       x_3a6       0   0 
v3a7       x_3a7       0   0 
v3a8       x_3a8       0   0 

************** loads ********************

xld1     x_3b1  0 loads_out
xld2     x_3b2  0 loads_out
xld3     x_3b3  0 loads_out
xld4     x_3b4  0 loads_out
xld5     x_3b5  0 loads_out
xld6     x_3b6  0 loads_out
xld7     x_3b7  0 loads_out
xld8     x_3b8  0 loads_out
x2b      x_2b   0 loads_out
x1b      x_1b   0 loads_out

xy1      x_1y    0 loads_out
xy2      x_2y    0 loads_out

**********************************
.subckt loads_out a0 0
r1 a0 0 500
c1 a0 0 50pf
.ends loads_out
********************************** 
.end
